'use strict'

function CoolModule () {
  let something = 'cool'
  let another = [1, 2, 3]

  function doSomething () {
      console.log(something)
    }

  function doAnother () {
    console.log(another.join(' ! '))
  }

  return {
    doSomething: doSomething,
    doAnother: doAnother
  }
}

let foo = CoolModule()

foo.doSomething() // cool
foo.doAnother() // 1 ! 2 ! 3
